Viewing docs for Files.com v0.1.1
published on Thursday, Aug 20, 2026 by jschady
published on Thursday, Aug 20, 2026 by jschady
Viewing docs for Files.com v0.1.1
published on Thursday, Aug 20, 2026 by jschady
published on Thursday, Aug 20, 2026 by jschady
An EventDeliveryAttempt records delivery state for an EventRecord and EventTarget.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as filescom from "pulumi-filescom";
const exampleEventDeliveryAttempt = filescom.getEventDeliveryAttempt({
id: 1,
});
import pulumi
import pulumi_filescom as filescom
example_event_delivery_attempt = filescom.get_event_delivery_attempt(id=1)
package main
import (
"github.com/jschady/pulumi-filescom/sdk/go/filescom"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := filescom.GetEventDeliveryAttempt(ctx, &filescom.GetEventDeliveryAttemptArgs{
Id: 1,
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Filescom = Jschady.Filescom;
return await Deployment.RunAsync(() =>
{
var exampleEventDeliveryAttempt = Filescom.GetEventDeliveryAttempt.Invoke(new()
{
Id = 1,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.filescom.FilescomFunctions;
import com.pulumi.filescom.inputs.GetEventDeliveryAttemptArgs;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var exampleEventDeliveryAttempt = FilescomFunctions.getEventDeliveryAttempt(GetEventDeliveryAttemptArgs.builder()
.id(1)
.build());
}
}
variables:
exampleEventDeliveryAttempt:
fn::invoke:
function: filescom:getEventDeliveryAttempt
arguments:
id: 1
pulumi {
required_providers {
filescom = {
source = "pulumi/filescom"
}
}
}
data "filescom_geteventdeliveryattempt" "exampleEventDeliveryAttempt" {
id = 1
}
Using getEventDeliveryAttempt
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getEventDeliveryAttempt(args: GetEventDeliveryAttemptArgs, opts?: InvokeOptions): Promise<GetEventDeliveryAttemptResult>
function getEventDeliveryAttemptOutput(args: GetEventDeliveryAttemptOutputArgs, opts?: InvokeOutputOptions): Output<GetEventDeliveryAttemptResult>def get_event_delivery_attempt(id: Optional[int] = None,
opts: Optional[InvokeOptions] = None) -> GetEventDeliveryAttemptResult
def get_event_delivery_attempt_output(id: pulumi.Input[Optional[int]] = None,
opts: Optional[InvokeOutputOptions] = None) -> Output[GetEventDeliveryAttemptResult]func GetEventDeliveryAttempt(ctx *Context, args *GetEventDeliveryAttemptArgs, opts ...InvokeOption) (*GetEventDeliveryAttemptResult, error)
func GetEventDeliveryAttemptOutput(ctx *Context, args *GetEventDeliveryAttemptOutputArgs, opts ...InvokeOption) GetEventDeliveryAttemptResultOutput> Note: This function is named GetEventDeliveryAttempt in the Go SDK.
public static class GetEventDeliveryAttempt
{
public static Task<GetEventDeliveryAttemptResult> InvokeAsync(GetEventDeliveryAttemptArgs args, InvokeOptions? opts = null)
public static Output<GetEventDeliveryAttemptResult> Invoke(GetEventDeliveryAttemptInvokeArgs args, InvokeOptions? opts = null)
public static Output<GetEventDeliveryAttemptResult> Invoke(GetEventDeliveryAttemptInvokeArgs args, InvokeOutputOptions opts)
}public static CompletableFuture<GetEventDeliveryAttemptResult> getEventDeliveryAttempt(GetEventDeliveryAttemptArgs args, InvokeOptions options)
public static Output<GetEventDeliveryAttemptResult> getEventDeliveryAttempt(GetEventDeliveryAttemptArgs args, InvokeOptions options)
public static Output<GetEventDeliveryAttemptResult> getEventDeliveryAttempt(GetEventDeliveryAttemptArgs args, InvokeOutputOptions options)
fn::invoke:
function: filescom:index/getEventDeliveryAttempt:getEventDeliveryAttempt
arguments:
# arguments dictionarydata "filescom_get_event_delivery_attempt" "name" {
# arguments
}The following arguments are supported:
- Id int
- Event Delivery Attempt ID
- Id int
- Event Delivery Attempt ID
- id number
- Event Delivery Attempt ID
- id Integer
- Event Delivery Attempt ID
- id number
- Event Delivery Attempt ID
- id int
- Event Delivery Attempt ID
- id Number
- Event Delivery Attempt ID
getEventDeliveryAttempt Result
The following output properties are available:
- Attempt
Number int - Number of delivery attempts made.
- Created
At string - Delivery Attempt create date/time.
- Delivered
At string - Successful delivery date/time.
- Error
Message string - Delivery error message, if applicable.
- Event
Record intId - Event Record ID
- Event
Subscription intId - Event Subscription ID
- Event
Target intId - Event Target ID
- Id int
- Event Delivery Attempt ID
- Last
Attempted stringAt - Most recent attempt date/time.
- Latency
Ms int - Delivery latency in milliseconds.
- Next
Attempt stringAt - Next scheduled attempt date/time.
- Response
Body string - Delivery response body, if applicable.
- Response
Code int - HTTP response code, if applicable.
- Status string
- Delivery status.
- Workspace
Id int - Workspace ID. 0 means the default workspace or site-wide.
- Attempt
Number int - Number of delivery attempts made.
- Created
At string - Delivery Attempt create date/time.
- Delivered
At string - Successful delivery date/time.
- Error
Message string - Delivery error message, if applicable.
- Event
Record intId - Event Record ID
- Event
Subscription intId - Event Subscription ID
- Event
Target intId - Event Target ID
- Id int
- Event Delivery Attempt ID
- Last
Attempted stringAt - Most recent attempt date/time.
- Latency
Ms int - Delivery latency in milliseconds.
- Next
Attempt stringAt - Next scheduled attempt date/time.
- Response
Body string - Delivery response body, if applicable.
- Response
Code int - HTTP response code, if applicable.
- Status string
- Delivery status.
- Workspace
Id int - Workspace ID. 0 means the default workspace or site-wide.
- attempt_
number number - Number of delivery attempts made.
- created_
at string - Delivery Attempt create date/time.
- delivered_
at string - Successful delivery date/time.
- error_
message string - Delivery error message, if applicable.
- event_
record_ numberid - Event Record ID
- event_
subscription_ numberid - Event Subscription ID
- event_
target_ numberid - Event Target ID
- id number
- Event Delivery Attempt ID
- last_
attempted_ stringat - Most recent attempt date/time.
- latency_
ms number - Delivery latency in milliseconds.
- next_
attempt_ stringat - Next scheduled attempt date/time.
- response_
body string - Delivery response body, if applicable.
- response_
code number - HTTP response code, if applicable.
- status string
- Delivery status.
- workspace_
id number - Workspace ID. 0 means the default workspace or site-wide.
- attempt
Number Integer - Number of delivery attempts made.
- created
At String - Delivery Attempt create date/time.
- delivered
At String - Successful delivery date/time.
- error
Message String - Delivery error message, if applicable.
- event
Record IntegerId - Event Record ID
- event
Subscription IntegerId - Event Subscription ID
- event
Target IntegerId - Event Target ID
- id Integer
- Event Delivery Attempt ID
- last
Attempted StringAt - Most recent attempt date/time.
- latency
Ms Integer - Delivery latency in milliseconds.
- next
Attempt StringAt - Next scheduled attempt date/time.
- response
Body String - Delivery response body, if applicable.
- response
Code Integer - HTTP response code, if applicable.
- status String
- Delivery status.
- workspace
Id Integer - Workspace ID. 0 means the default workspace or site-wide.
- attempt
Number number - Number of delivery attempts made.
- created
At string - Delivery Attempt create date/time.
- delivered
At string - Successful delivery date/time.
- error
Message string - Delivery error message, if applicable.
- event
Record numberId - Event Record ID
- event
Subscription numberId - Event Subscription ID
- event
Target numberId - Event Target ID
- id number
- Event Delivery Attempt ID
- last
Attempted stringAt - Most recent attempt date/time.
- latency
Ms number - Delivery latency in milliseconds.
- next
Attempt stringAt - Next scheduled attempt date/time.
- response
Body string - Delivery response body, if applicable.
- response
Code number - HTTP response code, if applicable.
- status string
- Delivery status.
- workspace
Id number - Workspace ID. 0 means the default workspace or site-wide.
- attempt_
number int - Number of delivery attempts made.
- created_
at str - Delivery Attempt create date/time.
- delivered_
at str - Successful delivery date/time.
- error_
message str - Delivery error message, if applicable.
- event_
record_ intid - Event Record ID
- event_
subscription_ intid - Event Subscription ID
- event_
target_ intid - Event Target ID
- id int
- Event Delivery Attempt ID
- last_
attempted_ strat - Most recent attempt date/time.
- latency_
ms int - Delivery latency in milliseconds.
- next_
attempt_ strat - Next scheduled attempt date/time.
- response_
body str - Delivery response body, if applicable.
- response_
code int - HTTP response code, if applicable.
- status str
- Delivery status.
- workspace_
id int - Workspace ID. 0 means the default workspace or site-wide.
- attempt
Number Number - Number of delivery attempts made.
- created
At String - Delivery Attempt create date/time.
- delivered
At String - Successful delivery date/time.
- error
Message String - Delivery error message, if applicable.
- event
Record NumberId - Event Record ID
- event
Subscription NumberId - Event Subscription ID
- event
Target NumberId - Event Target ID
- id Number
- Event Delivery Attempt ID
- last
Attempted StringAt - Most recent attempt date/time.
- latency
Ms Number - Delivery latency in milliseconds.
- next
Attempt StringAt - Next scheduled attempt date/time.
- response
Body String - Delivery response body, if applicable.
- response
Code Number - HTTP response code, if applicable.
- status String
- Delivery status.
- workspace
Id Number - Workspace ID. 0 means the default workspace or site-wide.
Package Details
- Repository
- filescom jschady/pulumi-filescom
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
filescomTerraform Provider.
Viewing docs for Files.com v0.1.1
published on Thursday, Aug 20, 2026 by jschady
published on Thursday, Aug 20, 2026 by jschady